<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class CareerEnquiryMail extends Mailable
{
    use Queueable, SerializesModels;

    public  $name;

    public  $email;

    public  $subject;

    public  $usermsg;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($name, $email, $subject, $usermsg)
    {
        $this->name     = $name;
        $this->email    = $email;
        $this->subject  = $subject;
        $this->usermsg  = $usermsg;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        //return $this->view('view.name');
        return $this->view('website.contact.contact_us_email')
                    ->with(['name'=> $this->name, 'email'=> $this->email, 'usermsg'=> $this->usermsg])
                    ->from('alobha.appdevelopment@gmail.com', 'Careers Enquery')
                    ->subject($this->subject);

    }
}
