<!-- view Customer -->
<div class="modal fade view_model" id="viewblog"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Details Customer</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
      </div>
      <div class="modal-body">
        <form class="needs-validation formSubmit" name="view_model" id="view_model"> 
          <div class="row"> 
            <div class="col-md-4 col-sm-12 pb-3">
              <label>First Name: <span class="font-weight-normal"> {{$customer->firstName ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Last Name: <span class="font-weight-normal"> {{$customer->lastName ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Email ID: <span class="font-weight-normal">{{$customer->email ?? ''}}</span> </label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Mobile No.: <span class="font-weight-normal">{{$customer->mobile ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Profile Image</label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
             @if($customer->profileImage)
                <img src="{{asset($customer->profileImage ?? 'notImage.jpg')}}" class="max-width-1">
              @else
                <img src="{{asset('notImage.jpg')}}" class="max-width-1">
              @endif 
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>D.O.B.: <span class="font-weight-normal">{{$customer->dob ? date('d-m-Y',strtotime($customer->dob)) : ''}}</span></label>
            </div>

            <div class="col-md-4 col-sm-12 pb-3">
              <label>Gender: <span class="font-weight-normal">{{$customer->gender ?? ''}}</span></label>
            </div>

            <!-- <div class="col-md-4 col-sm-12 pb-3">
              <label>Country: <span class="font-weight-normal">{{$customer->countryData ? $customer->countryData->name : ''}}</span></label>
            </div> -->
            <div class="col-md-4 col-sm-12 pb-3">
              <label>State: <span class="font-weight-normal">{{$customer->stateData ? $customer->stateData->name : ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>City: <span class="font-weight-normal">{{$customer->cityData ? $customer->cityData->name : ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Address: <span class="font-weight-normal">{{$customer->address ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Landmark: <span class="font-weight-normal">{{$customer->landmark ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Area/Street: <span class="font-weight-normal">{{$customer->area_street ?? ''}}</span></label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
              <label>Pincode: <span class="font-weight-normal">{{$customer->pinCode ?? ''}}</span></label>
            </div>
            
            <!-- <div class="col-md-4 col-sm-12 pb-3">
              <label>ID Card Number: <span class="font-weight-normal">{{$customer->identityProof ?? ''}}</span></label>
            </div> -->

           <!--  <div class="col-md-4 col-sm-12 pb-3">
              <label>ID Card Type: <span class="font-weight-normal">{{$customer->identityProofType ?? ''}}</span></label>
            </div>
            
           
           <div class="col-md-4 col-sm-12 pb-3">
              <label>ID Card Image</label>
            </div>
            <div class="col-md-4 col-sm-12 pb-3">
             @if($customer->idProofImage)
                <img src="{{asset($customer->idProofImage ?? 'notImage.jpg')}}" class="max-width-1">
              @else
                <img src="{{asset('notImage.jpg')}}" class="max-width-1">
              @endif
            </div> -->
          
          </div>
         
        </form>
      </div>
    </div>
  </div>
</div>