 
<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Land Acknowledgement</h1> </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
                        <li class="breadcrumb-item active">Land Acknowledgement</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <section class="content">
        <div class="row card">
            <div class="col-md-12">
                <form class="needs-validation formSubmit" action="<?php echo e(url('admin/save-land-acknowledgement')); ?>" method="post" enctype="multipart/form-data" name="update_land_acknowledgement" id="update_land_acknowledgement">
                <?php echo csrf_field(); ?>

                    <div class="row mb-2">
                        <div class="col">
                            <label>Title<span style="color:red;">*</span></label>
                            <input type="text" class="form-control" placeholder="Title" name="title" value="<?php echo e($contents->title ?? ''); ?>" required>
                        </div>
                    </div>

                    

                     <div class="row mt-2">
                           <div class="col">
                            <label>Description<span style="color:red;">*</span></label>
                            <textarea class="summernote"  name="description" class="form-control" spellcheck="false" required><?php echo e($contents->description ?? ''); ?></textarea>
                        </div>
                    </div>

                  <?php if(count($linkdata) == 0): ?>
                    <div class="row element" id='div_1'>
                          <div class="col-md-6">
                              <label>Link Text</label>
                              <input type="text" class="form-control "   name="linktext[]">
                          </div> 
                          <div class="col-md-4 ">
                              <label>Text URL</label>
                              <input type="url" class="form-control "   name="link[]" placeholder="Enter URL...">
                          </div> 
                          <div class="col-md-2" style="margin-top: 26px;">
                           <input type="button"  class="btn btn-info add" value="Add More">
                          </div>
                    </div>

                   <?php endif; ?> 
                    <?php $__currentLoopData = $linkdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$links): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="row element" id='div_<?php echo e($key+1); ?>'>
                          <div class="col-md-6">
                              <label>Link Text</label>
                              <input type="text" class="form-control "   name="linktext[]" value="<?php echo e($links->linktext); ?>">
                          </div> 
                          <div class="col-md-4 ">
                              <label>Text URL</label>
                              <input type="url" class="form-control "   name="link[]" placeholder="Enter URL..." value="<?php echo e($links->link); ?>">
                          </div> 
                          <?php if( $key < 1 ): ?>
                          <div class="col-md-2" style="margin-top: 26px;">
                           <input type="button"  class="btn btn-info add" value="Add More">
                          </div>
                          <?php else: ?>
                          <div class="col-md-2" style="margin-top: 26px;">
                           <input type="button" class="btn btn-danger remove" id="remove_<?php echo e($key+1); ?>" value="Remove">
                          </div>
                           
                          <?php endif; ?>
                          
                    </div>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <div class="row mt-4">
                       <div class="col">
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                       </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
<!-- new section -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>



<script type="text/javascript">
   // add modal
$(document).on('submit', 'form#update_land_acknowledgement', function(e) { 
      e.preventDefault();
      var data = new FormData(this);
         $('#loderIcon').show();
         $('#loderButton').prop("disabled", true);

              $.ajax({
                  cache:false,
                  contentType: false,
                  processData: false,
                  url: $(this).attr("action"),
                  method: $(this).attr("method"),
                  dataType: "json",
                  data: data,
                  success: function(response) { 
                     $('#loderIcon').hide();
                     $('#loderButton').prop("disabled", false);
                    
                    if (response.responseCode == 200) {
                        toastr.success(response.responseMessage); 
                        location.reload();
                    } else {
                        toastr.error(response.responseMessage);
                    }
                  }
              }); 
        }); 


$(document).ready(function(){

 // Add new element
 $(".add").click(function(){

  // Finding total number of elements added
  var total_element = $(".element").length;
 
  // last <div> with element class id
  var lastid = $(".element:last").attr("id");
  var split_id = lastid.split("_");
  var nextindex = Number(split_id[1]) + 1;

  var max = 5;
  // Check total number elements
  if(total_element < max ){
   // Adding new div container after last occurance of element class
   $(".element:last").after("<div class='row element' id='div_"+ nextindex +"'></div>");
 
   // Adding element to <div>
   var rawhtml = `<div class="col-md-6">
                              <label>Link Text</label>
                              <input type="text" class="form-control "   name="linktext[]">
                          </div> 
                          <div class="col-md-4 ">
                              <label>Text URL</label>
                              <input type="url" class="form-control "   name="link[]" placeholder="Enter URL...">
                          </div> 
                          <div class="col-md-2" style="margin-top: 26px;">
                           <input type="button" class="btn btn-danger remove" id="remove_${nextindex}" value="Remove">
                          </div>`;

   // $("#div_" + nextindex).append("<input type='text' placeholder='Enter your skill' id='txt_"+ nextindex +"'>&nbsp;<span id='remove_" + nextindex + "' class='remove'>X</span>");
   $("#div_" + nextindex).append(rawhtml);
 
  }
 
 });

 // Remove element
 $('body').on('click','.remove',function(){
 
  var id = this.id;
  var split_id = id.split("_");
  var deleteindex = split_id[1];



  // Remove <div> with id
  $("#div_" + deleteindex).remove();

 }); 
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/what_we_do/land_acknowledgement.blade.php ENDPATH**/ ?>