
<?php $__env->startSection('content'); ?>

  <style>
  

  table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable td:last-child, table.table-bordered.dataTable td:last-child {
    border-right-width: 1px;
    width: 100%;
}
  </style>





  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2 " >
          <div class="col-sm-6">
            <h1 class="m-0"><?php echo e($page_title ?? ''); ?></h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Basic Life Support</li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    

     <!-- advance search -->
    <section class="content ">
      <div class="container card pt-4">
     <form class="form-horizontal" action="<?php echo e(action('Admin\BLSController@blsIndividual')); ?>" method="get">
        <div class="row ">
          <div class="form-group col-md-3">
           <label for="">Mobile</label>
           <input type="text" placeholder="Mobile" name="mobile" class="form-control" value="<?php echo e($mobile ?? ''); ?>">
        </div>
          <div class="form-group col-md-3">
           <label for="">Email</label>
           <input type="text" placeholder="Email" name="email" class="form-control" value="<?php echo e($email ?? ''); ?>">
        </div>
          <div class="form-group col-md-3">
             <label for="">Venue</label>
             <select class="form-control" name="venue">
               <option value="">Select Venue</option>
                <?php $__currentLoopData = $venues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $venue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($venue->id); ?>" <?php if($venue_id == $venue->id): ?> selected <?php endif; ?>><?php echo e($venue->name); ?></option> 
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
             </select>
          </div>

           <div class="form-group col-md-3">
           <label for="">Training Date</label>
           <input type="date" name="training_date" placeholder="Training Date" class="form-control" value="<?php echo e($training_date ?? ''); ?>">
        </div>

       
         <div class="form-group col-md-3 pt-4">
            <a href="<?php echo e(url('admin/bls-individual')); ?>" class="btn btn-secondary">Clear</a>
            <button class="btn btn-success">Search</button> 
        </div>
        </div>
    </form>
      </div>
    </section>



    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-body">
               <table id="example" class="table table-bordered table-striped table-responsive">
                  <thead>
                    <tr>
                      <th>S.No.</th>
                      <th>Customer ID</th>
                      <th>Name</th>
                      <th>Mobile</th>
                      <th>Email ID </th>
                      <th>D.O.B.</th>
                      <th>Venue</th>
                      <th>Training Date</th>
                      <th>Time</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
                     $sr = 1; 
                     $page=1;
                     if(Request::input('page'))
                     $page=Request::input('page');
                     $sort = $users->perPage();
                   ?> 
                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <tr>
                        <td><?php echo e($key+1); ?></td>
                        <td><?php echo e($user->customerData ? $user->customerData->customer_unique_id : ''); ?></td>
                        <td><?php echo e($user->customerData ? $user->customerData->firstName : ''); ?> <?php echo e($user->customerData ? $user->customerData->lastName : ''); ?></td>
                        <td><?php echo e($user->customerData ? $user->customerData->mobile : ''); ?></td>
                        <td><?php echo e($user->customerData ? $user->customerData->email : ''); ?></td>
                        <td><?php echo e($user->customerData ? date('d-m-Y', strtotime($user->customerData->dob)) : ''); ?></td>
                        <td><?php echo e($user->venueData ? $user->venueData->name : ''); ?></td>
                        <td><?php echo e(date('d-m-Y', strtotime($user->training_date)) ?? ''); ?></td>
                        <td><?php echo e($user->start_time ?? ''); ?> - <?php echo e($user->end_time ?? ''); ?></td>
                        
                        <td>
                            <button type="button" data-href="<?php echo e(action('Admin\CustomerController@bls_customer_details',[$user->customer_id])); ?>" class="btn btn-primary btn-sm mr-2 view_model" data-toggle="modal" data-target="#view_model"><i class="fas fa-eye"></i></button>

                            <button type="button" data-href="<?php echo e(action('Admin\CustomerController@bls_customer_update',[$user->customer_id])); ?>" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button>

                            <?php if($user->customerData->idProofImage): ?>
                              <button type="button"  data-toggle="modal" data-target="#PreviewImg<?php echo e($key); ?>" class="btn btn-secondary btn-sm mr-2" type="image"><i class="fas fa-image"></i></button>
                              <!-- Modal -->
                                <div class="modal fade" id="PreviewImg<?php echo e($key); ?>"  role="dialog" aria-labelledby="PreviewImgLabel" aria-hidden="true">
                                  <div class="modal-dialog  modal-xl  modal-dialog-centered" role="document">
                                    <div class="modal-content">
                                      <div class="modal-header">
                                        <h5 class="modal-title" id="PreviewImgLabel">Image Preview</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">&times;</span>
                                        </button>
                                      </div>
                                      <div class="modal-body">
                                        <img src="<?php echo e(asset($user->customerData->idProofImage ?? '')); ?>" alt="image" width="100%" alt="Identity Proof">
                                      </div>
                                    </div>
                                  </div>
                                </div>
                           <?php endif; ?> 

                           
                        </td>
                      </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             
                </table>

                <div class="row">
                     <div class="col-md-6 text-left" style="margin: 20px 0px;">
                       Showing  <?php echo e($users->firstItem()); ?> to <?php echo e($users->lastItem()); ?> of <?php echo e($users->total()); ?> entries
                     </div>
                     <div class="col-md-6 text-right paginationBlock">
                       <?php echo $users->appends(request()->input())->links(); ?>

                     </div>
                   </div>


              </div>
            </div>
          </div>
        </div>
      </div>
    </section>

    
  </div>
  <!-- new section -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\heka_new\resources\views/admin/bls/bls_individual.blade.php ENDPATH**/ ?>