<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Business extends Model
{
  
  # define table

  protected $table ='business';

    
  
  # define fillable fields
  protected $fillable = [
  					           'owner_id',
  	                   'name',
  	                   'email',
  	                   'mobile',
                       'alt_mobile',
                       'address',
                       'latitude',
                       'longitude',
                       'username',
                       'password',
                       'logo',
                       'website_url',
                       'description',
                       'openTimeMonday',
                       'closeTimeMonday',
                       'openTimeTuesday',
                       'closeTimeTuesday',
                       'openTimeWednesday',
                       'closeTimeWednesday',
                       'openTimeThursday',
                       'closeTimeThursday',
                       'openTimeFriday',
                       'closeTimeFriday',
                       'openTimeSaturday',
                       'closeTimeSaturday',
                       'openTimeSunday',
                       'closeTimeSunday',
  ];

 /**
    * relation with owner
    * @param
    * @return
    */
    public function ownerData()
    {
    return $this->belongsTo('App\Models\Owner', 'owner_id', 'id');
    }
 
}
