<!-- edit user -->
<div class="modal fade add_model" id="viewblog"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Add Sub Category</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
      </div>
      <div class="modal-body">
        <form class="needs-validation formSubmit" action="{{url('admin/store-sub-category')}}" method="post" enctype="multipart/form-data" name="add_model" id="add_model"> 
          @csrf
          
           <div class="row">
            <div class="col-md-12 mb-2">
              <label>Parent Category<span style="color:red;">*</span></label>
              <select class="form-control" name="parent_id" required>
                @foreach($category_list as $category)
                  <option value="{{$category->id}}">{{$category->name}}</option>
                @endforeach  
              </select>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 mb-2">
              <label>Name<span style="color:red;">*</span></label>
              <input type="text" class="form-control" placeholder="Name" name="name" required>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 mb-2">
              <label>Image<span style="color:red;">*</span></label>
              <input type="file" class="form-control" placeholder="Name" name="image" required>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 mb-2">
              <label>Sequence Number<span style="color:red;">*</span></label>
              <input type="number" class="form-control" placeholder="Sequence Number" name="sequence_number" required>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 mb-2">
              <label>Type<span style="color:red;">*</span></label>
              <select class="form-control" name="type" required>
                <option value="food">Food</option>
                <option value="drink">Drink</option>
              </select>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 mb-2">
              <label>Details<span style="color:red;">*</span></label>
              <textarea name="details" class="form-control" required></textarea>
            </div>
          </div>
         
          <div class="d-flex justify-content-end" style="padding: 34px 0px 0 0px;">
            <button type="button" class="btn btn-secondary px-3 mr-1 cancel-model" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary px-3">Submit</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

