
<?php $__env->startSection('content'); ?>
 
  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Our Board Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Our Board</li>
            </ol>
          </div>
        </div>
      </div>
    </div>

     
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="d-flex justify-content-end mb-3">
                <button type="button" data-href="<?php echo e(action('Admin\WhatWeAre\OurBoardController@create')); ?>" class="btn btn-secondary add_model" data-toggle="modal" data-target="#add_model" style="float:right;">Add Our Board</button>
              </div>
              <div class="card-body">
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                    <tr>
                      <th>S No.</th>
                      <th>Name</th>
                      <th>Designation</th>
                      <th>Image</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php $__currentLoopData = $boards; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$board): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td><?php echo e($key+1); ?></td>
                      <td><?php echo e($board->name ?? ''); ?></td>
                      <td><?php echo e($board->designation ?? ''); ?></td>
                      <td><img src="<?php echo e(asset($board->image ?? '')); ?>" class="max-width-1" style="width: 100px; height: 100px;"></td>
                      <td>
                          <div style="display: flex;">

                                <button type="button" data-href="<?php echo e(action('Admin\WhatWeAre\OurBoardController@update',[$board->id])); ?>" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button>
                           
                                <button type="button" data-href="<?php echo e(action('Admin\WhatWeAre\OurBoardController@view',[$board->id])); ?>" class="btn btn-primary btn-sm mr-2 view_model" data-toggle="modal" data-target="#view_model"><i class="fas fa-eye"></i></button>

                                <button type="button" id="delete" href="<?php echo e(action('Admin\WhatWeAre\OurBoardController@delete',[$board->id])); ?>" class="btn btn-danger btn-xs">Delete</button>
                          </div>   
                      </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>


  
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/what_we_are/our_board/index.blade.php ENDPATH**/ ?>