
<?php $__env->startSection('content'); ?>
  
  <div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Faqs Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Faqs</li>
            </ol>
          </div>
        </div>
      </div>
    </div>

       
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="d-flex justify-content-end mb-3">
               <?php if(Auth::user()->can('Add_Banner')): ?>                
                <!-- <button type="button" data-href="<?php echo e(action('Admin\Master\BannerController@create')); ?>" class="btn btn-secondary add_model" data-toggle="modal" data-target="#add_model" style="float:right;">Add Faqs</button> -->
                <a href="<?php echo e(url('admin/faqs/create')); ?>" class="btn btn-secondary "><i class="fa fa-plus"></i> Add Faqs</a>

              <?php endif; ?>  

              </div>
              <div class="card-body">
                <table id="example" class="table table-bordered table-striped">
                  <thead>
                    <tr>
                      <th>S No.</th>
                      <th>Question</th>
                      <th>description</th>
                      <th>Status</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tbody>
                     <?php 
                     $sr = 1; 
                     $page=1;
                     if(Request::input('page'))
                     $page=Request::input('page');
                     $sort = $banner_list->perPage();
                   ?> 
                    <?php $__currentLoopData = $banner_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td><?php echo e($key+1); ?></td>
                      <td>
                        <?php echo e($banner->question); ?>

                      </td>
                      <td>
                        <?php echo e(strip_tags($banner->description)); ?>

                      </td>
                      <td>
                      <?php if($banner->status == '1'): ?>
                        Active
                      <?php else: ?>
                        Inactive
                      <?php endif; ?>
                      </td>
                      <td>
                          <div style="display: flex;">
                            <?php if(Auth::user()->can('Edit_Banner')): ?>
                                <!-- <button type="button" data-href="<?php echo e(action('Admin\Master\BannerController@update',[$banner->id])); ?>" class="btn btn-warning text-white btn-sm mr-2 edit_model" data-toggle="modal" data-target="#edit_model"><i class="fas fa-edit"></i></button> -->

                                <a href="<?php echo e(url('/admin/faqs/'.$banner->id.'/edit')); ?>" class="btn btn-sm mr-2 btn-warning text-white button_flow" data-toggle="tooltip" data-placement="top" title="" data-original-title="Edit"><i class="fa fa-edit"></i></a>

                                <a href="<?php echo e(url('/admin/fag/changestatus?id='.$banner->id)); ?>"  class="btn btn-sm mr-2 btn-<?php echo e(($banner->status == '1') ? 'success' : 'danger'); ?> button_flow"  data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo e(($banner->status == '1') ? 'Active' : 'Inactive'); ?>" onclick="return confirm('Are you sure you want to make <?php echo e(($banner->status == '1') ? 'Active' : 'Inactive'); ?> this Faqs ?')"> <i class="fa <?php echo e(($banner->status == '1') ? 'fa-toggle-on' : 'fa-toggle-off'); ?>"></i></a>

                           <?php endif; ?>

                           <?php if(Auth::user()->can('Delete_Banner')): ?>
                               <button type="button" id="delete" href="<?php echo e(action('Admin\Master\FaqsController@delete',[$banner->id])); ?>" class="btn btn-danger btn-xs">Delete</button>
                              <?php endif; ?>
                               
                          </div>   
                      </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div class="row">
                     <div class="col-md-6 text-left" style="margin: 20px 0px;">
                       Showing  <?php echo e($banner_list->firstItem()); ?> to <?php echo e($banner_list->lastItem()); ?> of <?php echo e($banner_list->total()); ?> entries
                     </div>
                     <div class="col-md-6 text-right paginationBlock">
                       <?php echo $banner_list->appends(request()->input())->links(); ?>

                     </div>
                   </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('javascript'); ?>



<script type="text/javascript">
   // add modal
$(document).ready(function(){
  $('[data-toggle="tooltip"]').tooltip();
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/faqs/index.blade.php ENDPATH**/ ?>