 
<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Update Profile</h1> </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
                        <li class="breadcrumb-item active">Profile</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <section class="content">
        <div class="row card">
            <div class="col-md-12">
                <form class="needs-validation formSubmit" action="<?php echo e(url('admin/edit-profile')); ?>" method="post" enctype="multipart/form-data" name="update_profile_page" id="update_profile_page">
                <?php echo csrf_field(); ?>
                
                <div class="row">
                    <div class="col-md-6">
                      <label>First Name<span style="color:red;">*</span></label>
                      <input type="text" class="form-control" placeholder="First Name" name="first_name" required value="<?php echo e($user->first_name ?? ''); ?>"> 
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-md-6">
                      <label>Last Name</label>
                      <input type="text" class="form-control" placeholder="Last Name" name="last_name" value="<?php echo e($user->last_name ?? ''); ?>"> 
                    </div>
                  </div>

                   <div class="row">
                          <div class="col">
                            <label>Image</label>
                            <input type="file" class="form-control d-flex" accept="image/*" style="padding: 3.2px;" name="profile_image">
                            </div> 
                             <div class="col pt-10">
                              <img src="<?php echo e(asset($user->profile_image ?? 'notImage.jpg')); ?>" width="150px" height="150px" style="padding:11px">
                            </div> 
                   </div>
            
                    <div class="row mb-2">
                       <div class="col">
                        <button type="submit" class="btn btn-primary" id="loderButton"><i class="fa fa-spinner fa-pulse fa-fw" id="loderIcon" style="display:none;"></i>Submit</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                       </div>
                    </div>
                </form>
            </div>
        </div>
    </section>

    <div class="col-sm-6">
        <h4 class="m-0">Change Password</h4> 
    </div>
    <section class="content">
        <div class="row card">
            <div class="col-md-12">
                <form class="needs-validation formSubmit" action="<?php echo e(url('admin/change-password')); ?>" method="post" enctype="multipart/form-data" name="change_password_page" id="change_password_page">
                <?php echo csrf_field(); ?>
                
                <div class="row">
                    <div class="col-md-6">
                      <label>Current Password<span style="color:red;">*</span></label>
                      <input type="password" class="form-control" placeholder="Current Password" name="current_password" required> 
                    </div>
                  </div>
                 
                 <div class="row">
                 <div class="col-md-6">
                      <label>New Password<span style="color:red;">*</span></label>
                      <input type="password" class="form-control" placeholder="New Password" name="new_password" required> 
                    </div>
                  </div>
                  <div class="row">
                  <div class="col-md-6">
                      <label>Confirm Password<span style="color:red;">*</span></label>
                      <input type="password" class="form-control" placeholder="Confirm Password" name="confirm_password" required> 
                    </div>
                  </div>
                            
                    <div class="row mb-2">
                       <div class="col">
                        <button type="submit" class="btn btn-primary" id="loderButton"><i class="fa fa-spinner fa-pulse fa-fw" id="loderIcon" style="display:none;"></i>Submit</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                       </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
<!-- new section -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>




<!-- select 2 -->
 <script>
      $(function () {
        //Initialize Select2 Elements
        $('.select2').select2()

        //Initialize Select2 Elements
        $('.select2bs4').select2({
          theme: 'bootstrap4'
        })


      }) 
    </script>
<!-- end select 2 -->
<script type="text/javascript">
   // add modal
$(document).on('submit', 'form#change_password_page', function(e) { 
      e.preventDefault();
      var data = new FormData(this);
         $('#loderIcon').show();
         $('#loderButton').prop("disabled", true);

              $.ajax({
                  cache:false,
                  contentType: false,
                  processData: false,
                  url: $(this).attr("action"),
                  method: $(this).attr("method"),
                  dataType: "json",
                  data: data,
                  success: function(response) { 
                     $('#loderIcon').hide();
                     $('#loderButton').prop("disabled", false);
                    
                    if (response.responseCode == 200) {
                        toastr.success(response.responseMessage); 
                        location.reload();
                    } else {
                        toastr.error(response.responseMessage);
                    }
                  }
              }); 
        }); 
</script>


<script type="text/javascript">
   // add modal
$(document).on('submit', 'form#update_profile_page', function(e) { 
      e.preventDefault();
      var data = new FormData(this);
         $('#loderIcon').show();
         $('#loderButton').prop("disabled", true);

              $.ajax({
                  cache:false,
                  contentType: false,
                  processData: false,
                  url: $(this).attr("action"),
                  method: $(this).attr("method"),
                  dataType: "json",
                  data: data,
                  success: function(response) { 
                     $('#loderIcon').hide();
                     $('#loderButton').prop("disabled", false);
                    
                    if (response.responseCode == 200) {
                        toastr.success(response.responseMessage); 
                        location.reload();
                    } else {
                        toastr.error(response.responseMessage);
                    }
                  }
              }); 
        }); 
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/profile.blade.php ENDPATH**/ ?>