 
<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Phenomenon Based Learning</h1> </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
                        <li class="breadcrumb-item active">Phenomenon Based Learning</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <section class="content">
        <div class="row card">
            <div class="col-md-12">
                <form class="needs-validation formSubmit" action="<?php echo e(url('admin/save-phenomenon-based-learning')); ?>" method="post" enctype="multipart/form-data" name="update_phenomenon_based_learning" id="update_phenomenon_based_learning">
                <?php echo csrf_field(); ?>

                    <div class="row mb-2">
                        <div class="col">
                            <label>Title<span style="color:red;">*</span></label>
                            <input type="text" class="form-control" placeholder="Title" name="title" value="<?php echo e($contents->title ?? ''); ?>" required>
                        </div>
                    </div>

                    

                     <div class="row mt-2">
                           <div class="col">
                            <label>Description<span style="color:red;">*</span></label>
                            <textarea class="summernote"  name="description" class="form-control" spellcheck="false" required><?php echo e($contents->description ?? ''); ?></textarea>
                        </div>
                    </div>

                    <div class="row">
                          <div class="col">
                              <label>Image One</label>
                              <input type="file" class="form-control d-flex" accept="image/*" style="padding: 3.2px;" name="image_1">
                          </div> 
                          <div class="col pt-10">
                              <img src="<?php echo e(asset($contents->image_1 ?? 'notImage.jpg')); ?>" width="150px" height="150px" style="padding:11px">
                          </div> 
                    </div>

                    <div class="row">
                          <div class="col">
                              <label>Image Two</label>
                              <input type="file" class="form-control d-flex" accept="image/*" style="padding: 3.2px;" name="image_2">
                          </div> 
                          <div class="col pt-10">
                              <img src="<?php echo e(asset($contents->image_2 ?? 'notImage.jpg')); ?>" width="150px" height="150px" style="padding:11px">
                          </div> 
                    </div>


                    <div class="row">
                          <div class="col">
                              <label>Banner</label>
                              <input type="file" class="form-control d-flex" accept="image/*" style="padding: 3.2px;" name="banner">
                          </div> 
                          <div class="col pt-10">
                              <img src="<?php echo e(asset($contents->banner ?? 'notImage.jpg')); ?>" width="150px" height="150px" style="padding:11px">
                          </div> 
                    </div>

                     <div class="row mt-2">
                           <div class="col">
                            <label>Quote<span style="color:red;">*</span></label>
                            <textarea class="summernote"  name="quote" class="form-control" spellcheck="false" required><?php echo e($contents->quote ?? ''); ?></textarea>
                        </div>
                    </div>


                    <div class="row">
                       <div class="col">
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                       </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
<!-- new section -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>



<script type="text/javascript">
   // add modal
$(document).on('submit', 'form#update_phenomenon_based_learning', function(e) { 
      e.preventDefault();
      var data = new FormData(this);
         $('#loderIcon').show();
         $('#loderButton').prop("disabled", true);

              $.ajax({
                  cache:false,
                  contentType: false,
                  processData: false,
                  url: $(this).attr("action"),
                  method: $(this).attr("method"),
                  dataType: "json",
                  data: data,
                  success: function(response) { 
                     $('#loderIcon').hide();
                     $('#loderButton').prop("disabled", false);
                    
                    if (response.responseCode == 200) {
                        toastr.success(response.responseMessage); 
                        location.reload();
                    } else {
                        toastr.error(response.responseMessage);
                    }
                  }
              }); 
        }); 
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/what_we_do/phenomenon_based.blade.php ENDPATH**/ ?>