
<?php $__env->startSection('content'); ?>

<div class="content-wrapper">
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Role Management</h1> </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/dashboard')); ?>"><i class="fas fa-home"></i></a>
                                </li>
              <li class="breadcrumb-item active">Role</li>
            </ol>
          </div>
        </div>
      </div>
    </div>

     
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="d-flex justify-content-end mb-3">
               <?php if(Auth::user()->can('Add_Role')): ?>                
                <a href="<?php echo e(action('Admin\AclController@create')); ?>" class="btn btn-secondary">Add Role</a>
               <?php endif; ?>
              </div>
              <div class="card-body">
                <table id="example" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td><?php echo e($key+1); ?></td>
                      <td><?php echo e($role->name ?? ''); ?></td>
                      <td>
                        <div style="display: flex;">
                                <?php if(Auth::user()->can('Edit_Role')): ?>
                                   <a href="<?php echo e(url('admin/update-role', [$role->id])); ?>" id="" class="btn btn-warning text-white btn-xs"><i class="fas fa-edit"></i></a>
                                <?php endif; ?>   
                          </div>
                      </td>
                    </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
              </table>
                
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>


    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\wihs_backend\resources\views/admin/role/index.blade.php ENDPATH**/ ?>